# This file was auto-generated by Fern from our API Definition.

from ..core.unchecked_base_model import UncheckedBaseModel
from .evaluated_version_response import EvaluatedVersionResponse
import typing
import pydantic
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class EvaluateeResponse(UncheckedBaseModel):
    """
    Version of the Evaluatee being evaluated.
    """

    version: EvaluatedVersionResponse
    batch_id: typing.Optional[str] = pydantic.Field(default=None)
    """
    Unique identifier for the batch of Logs to include in the Evaluation Report.
    """

    orchestrated: bool = pydantic.Field()
    """
    Whether the Prompt/Tool is orchestrated by Humanloop. Default is `True`. If `False`, a log for the Prompt/Tool should be submitted by the user via the API.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
