# This file was auto-generated by Fern from our API Definition.

from ..core.unchecked_base_model import UncheckedBaseModel
import pydantic
import typing
from .version_stats_response_evaluator_version_stats_item import VersionStatsResponseEvaluatorVersionStatsItem
from ..core.pydantic_utilities import IS_PYDANTIC_V2


class VersionStatsResponse(UncheckedBaseModel):
    """
    Stats for an Evaluated Version in the Evaluation Report.
    """

    version_id: str = pydantic.Field()
    """
    Unique identifier for the Evaluated Version.
    """

    num_logs: int = pydantic.Field()
    """
    The total number of existing Logs for this Evaluated Version within the Evaluation Report. These are Logs that have been generated by this Evaluated Version on a Datapoint belonging to the Evaluation Report's Dataset Version.
    """

    evaluator_version_stats: typing.List[VersionStatsResponseEvaluatorVersionStatsItem] = pydantic.Field()
    """
    Stats for each Evaluator Version used to evaluate this Evaluated Version.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
